messages.setBotGuestChatResult
Bots may use this method to answer a guest mode » query received via an RawUpdateBotGuestChatQuery update, providing the message to post into the chat as a guest, see here » for more info.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Bots may use this method to answer a guest mode » query received via an RawUpdateBotGuestChatQuery update, providing the message to post into the chat as a guest, see here » for more info.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.setBotGuestChatResult" \ -H "Content-Type: application/json" \ -d '{ "params": { "queryId": "string", "result": { "_": "inputBotInlineResult", "id": "string", "type": "string", "sendMessage": { "_": "inputBotInlineMessageMediaAuto", "message": "string" } } } }'{ "result": { "_": "inputBotInlineMessageID", "dcId": 0, "id": "string", "accessHash": "string" }}setBotCallbackAnswer
Set the callback answer to a user button press (bots only)
setBotPrecheckoutResults
Once the user has confirmed their payment and shipping details, the bot receives an `RawUpdateBotPrecheckoutQuery` update. Use this method to respond to such pre-checkout queries. Note: Telegram must receive an answer within 10 seconds after the pre-checkout query was sent.